## org.apache.mahout.clustering.dirichlet.models
Class GaussianClusterDistribution

    java.lang.Object
      org.apache.mahout.clustering.dirichlet.models.AbstractVectorModelDistribution
          org.apache.mahout.clustering.dirichlet.models.GaussianClusterDistribution

All Implemented Interfaces:
  ModelDistribution<VectorWritable>

    public class GaussianClusterDistribution

extends AbstractVectorModelDistribution

An implementation of the ModelDistribution interface suitable for testing the DirichletCluster algorithm. Uses a Normal Distribution to sample the prior model values. Model values have a vector standard deviation, allowing assymetrical regions to be covered by a model.

Field Summary

Fields inherited from class org.apache.mahout.clustering.dirichlet.models.AbstractVectorModelDistribution
`MODEL_DISTRIBUTION_TYPE`

Constructor Summary
`GaussianClusterDistribution()`
`GaussianClusterDistribution(VectorWritable modelPrototype)`

Method Summary
`Model<VectorWritable>[]` `sampleFromPosterior(Model<VectorWritable>[] posterior)` Return a list of models sampled from the posterior
`Model<VectorWritable>[]` `sampleFromPrior(int howMany)` Return a list of models sampled from the prior

Methods inherited from class org.apache.mahout.clustering.dirichlet.models.AbstractVectorModelDistribution
`asJsonString, getModelPrototype, setModelPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GaussianClusterDistribution

    public GaussianClusterDistribution()

### GaussianClusterDistribution

    public GaussianClusterDistribution(VectorWritable modelPrototype)

Method Detail

### sampleFromPrior

    public Model<VectorWritable>[] sampleFromPrior(int howMany)

  Description copied from interface: `ModelDistribution`
  Return a list of models sampled from the prior

  Parameters:
    `howMany` - the int number of models to return
  Returns:
    a Model<Observation>[] representing what is known apriori

### sampleFromPosterior

    public Model<VectorWritable>[] sampleFromPosterior(Model<VectorWritable>[] posterior)

  Description copied from interface: `ModelDistribution`
  Return a list of models sampled from the posterior

  Parameters:
    `posterior` - the Model<Observation>[] after observations
  Returns:
    a Model<Observation>[] representing what is known apriori

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.